Subject: Re: Scratch buffer (Summary of Xah's proposals, as I see it)

From: Jambunathan K <[email-masked]>
Date: Tue, 24 Apr 2012 18:01:58 +0530

> If Emacs *deduces* file-visitedness based on the name of the buffer

Let me elaborate on what I mean by "deduction".

I think there is a rule (unwritten but understood?) on how
non-file-visiting buffers are named.  I think these rules can be entered
in law books are recognized as a precedent that cannot be breached.

In the new scheme,

A buffer created with the name "testing" will be deemed as
potentially-file-visiting, while one created with name "*testing*" will
be treated as non-file-visiting.

One has to just settle on the pattern of names that make a buffer
non-file-visiting.  Anything that doesn't match this pattern will be
potentitally-file-visiting.